{"openapi":"3.0.0","paths":{"/api/v1/counterparties":{"get":{"operationId":"ApiCounterpartiesController_getCounterparties","summary":"","deprecated":true,"parameters":[],"responses":{"200":{"description":"Get Counterparties","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiCounterpartiesResponseDto"}}}}},"tags":["Counterparties"],"security":[{"bearer":[]}]}},"/api/v1/counterparty/companies":{"get":{"operationId":"ApiCounterpartiesController_getEntityCounterparties","parameters":[{"name":"page","required":false,"in":"query","description":"Number of the page","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of counterparties returned per page","schema":{"type":"number"}},{"name":"name","required":false,"in":"query","description":"Filter by counterparty company name","schema":{"type":"string"}},{"name":"referenceId","required":false,"in":"query","description":"Filter by counterparty reference ID","schema":{"type":"string"}},{"name":"interval","required":false,"in":"query","description":"Time interval unit for filtering counterparties within specific time frame for the AML \"updatedAt\" field","schema":{"$ref":"#/components/schemas/TimeIntervalEnum"}},{"name":"unit","required":false,"in":"query","description":"Number of units for the time interval (e.g., if interval is \"hour\" and unit is 60, it means within the last 60 hours)","schema":{"minimum":1,"type":"number"}}],"responses":{"200":{"description":"Get Counterparties of category entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiCounterpartiesResponseDto"}}}}},"tags":["Counterparties"],"security":[{"bearer":[]}]}},"/api/v1/sync":{"put":{"operationId":"ApiSyncController_sync","summary":"Synchronise a list of companies to match the provided state","description":"A single endpoint for synchronizing multiple companies and\n      related structures with\n      the Avallone platform. The endpoint tries to allow stateless\n      updates in which the caller should not need to know anything about\n      the state of companies in the Avallone platform, but simply provide\n      a list of operations to keep the platform updated with an external\n      platform or model.\n      <br /><br />\n      For this reason we do not use internal IDs to identify objects and\n      strongly advise that all companies are created with and are referred\n      to using the `referenceId`s from the source platform. A reference ID\n      should be immutable, unique and identifiable in both platforms. It can\n      be any string.\n      <br /><br />\n      In cases where a reference ID has not been defined, the name,\n      registration number and type properties can be used to identify companies\n      via the `config.companyIdFields` body parameter.\n      This does, however, put some constraints on actions that can be performed,\n      for instance if a company cannot be unambiguously identified without using\n      name, it will not be possible to rename the company without the reference ID.\n      <br /><br />","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncPayloadDto"},"examples":{"schemaExample":{"summary":"Request Configuration","description":"The `config` property can be used to configure how the request should be interpreted. It is an optional parameter. For more information, please look at the `Schema` tab, which also includes default values","value":"\n{\n  \"config\": {\n    \"companyIdFields\": [\"referenceId\"],\n    \"officerIdFields\": [\"referenceId\"],\n    \"caseIdFields\": [\"referenceId\"],\n    \"cleanup\": false,\n    \"sync\": [\"companies\", \"officers\"],\n    \"saveReferenceId\": false\n  }\n}\n    "},"createCompany":{"summary":"Create or update a company","description":"For companies where a reference ID has been defined upon  creation, using that reference ID in future requests will instead update the existing company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\"\n    }\n  ]\n}\n    "},"fuzzyUpdate":{"summary":"Update an entity without a reference ID","description":"In cases where we want to update an entity where a reference ID has  not been specified, we need to identify instead by using the `config.companyIdFields` or corresponding prop for the object you want to update property. In this example we're using a combination of `name` and `registrationNumber` to identify a company.<br /><br /><b>Note</b>: Since we're using name to identify the company, this method cannot be used to rename entities. In order to rename an entity, it must have a reference ID","value":"\n{\n  \"config\": {\n    \"companyIdFields\": [\"name\", \"registrationNumber\"]\n  },\n  \"companies\": [\n    {\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"123456789\"\n    }\n  ]\n}\n    "},"updateReferenceId":{"summary":"Update the reference ID of an entity","description":"In order to update the reference ID of an entity, we need to identify the entity using other properties, and setting the config field `saveReferenceId = true`","value":"\n{\n  \"config\": {\n    \"companyIdFields\": [\"name\", \"registrationNumber\"],\n    \"saveReferenceId\": true\n  },\n  \"companies\": [\n    {\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"123456789\",\n      \"referenceId\": \"acme-inc\"\n    }\n  ]\n}\n    "},"createCounterpartyCompany":{"summary":"Create a counterparty company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"type\": \"counterparty\"\n    }\n  ]\n}\n    "},"deleteCounterpartyCompany":{"summary":"Delete a counterparty company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"type\": \"counterparty\",\n      \"delete\": true\n    }\n  ]\n}\n    "},"createCompanyWithAddress":{"summary":"Create a company with primary address","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"addresses\": {\n        \"primary\": {\n          \"streetAddress\": \"Elm street\",\n          \"zipCode\": \"2300\",\n          \"city\": \"Copenhagen\",\n          \"countryCode\": \"DK\"\n        }\n      }\n    }\n  ]\n}\n"},"createParentCompanyRelation":{"summary":"Create a parent and child company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\"\n    },\n    {\n      \"referenceId\": \"wayne-corp\",\n      \"name\": \"Wayne Corp\",\n      \"registrationNumber\": \"wayne-corp\",\n      \"incorporationCountryCode\": \"SE\",\n      \"relatedCompanies\": [\n        {\n          \"referenceId\": \"acme-inc\",\n          \"ownership\": 25\n        }\n      ]\n    }\n  ]\n}\n"},"createCompanyRelation":{"summary":"Create a company relation","description":"Creates company relation. Provide reason for relation, if it has no ownership structure.","value":"\n    {\n      \"companies\": [\n        {\n          \"referenceId\": \"wayne-corp\",\n          \"name\": \"Wayne Corp\",\n          \"registrationNumber\": \"wayne-corp\",\n          \"incorporationCountryCode\": \"SE\",\n          \"relatedCompanies\": [\n            {\n              \"referenceId\": \"acme-inc\",\n              \"reason\": \"Manager\"\n            }\n          ]\n        }\n      ]\n    }"},"createOfficer":{"summary":"Create an officer","value":"\n{\n  \"companies\": [],\n  \"officers\": [\n    {\n      \"referenceId\": \"john-doe\",\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"isPep\": false\n    }\n  ]\n}\n    "},"createCounterpartyIndividual":{"summary":"Create counterparty individual","value":"\n{\n  \"companies\": [],\n  \"officers\": [\n    {\n      \"referenceId\": \"john-doe\",\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"type\": \"counterparty\"\n    }\n  ]\n}\n    "},"deleteCounterpartyIndividual":{"summary":"Delete counterparty individual","value":"\n{\n  \"companies\": [],\n  \"officers\": [\n    {\n      \"referenceId\": \"john-doe\",\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"type\": \"counterparty\",\n      \"delete\": true\n    }\n  ]\n}\n    "},"createOfficerRelation":{"summary":"Create an officer and relation in a company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"relatedOfficers\": [\n        {\n          \"referenceId\": \"john-doe\",\n          \"roles\": [\n            {\n              \"name\": \"board of directors\",\n              \"title\": \"Board Member\",\n              \"startAt\": \"2020-01-10\"\n            },\n            {\n              \"name\": \"executive management\",\n              \"title\": \"CEO\"\n            }\n          ],\n          \"ownership\": 30,\n          \"voting\": 30\n        }\n      ]\n    }\n  ],\n  \"officers\": [\n    {\n      \"referenceId\": \"john-doe\",\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"isPep\": false\n    }\n  ]\n}\n    "},"createOfficerRelationIncremental":{"summary":"Create an officer relation with multiple roles for a previously created officer and a company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"relatedOfficers\": [\n        {\n          \"referenceId\": \"john-doe\",\n          \"roles\": [\n            {\n              \"name\": \"board of directors\",\n              \"title\": \"Board Member\"\n            },\n            {\n              \"name\": \"executive management\",\n              \"title\": \"CEO\"\n            }\n          ],\n          \"ownership\": 30,\n          \"voting\": 30\n        }\n      ]\n    }\n  ]\n}\n    "},"createMultipleOfficerRelations":{"summary":"Create multiple officers and their relations in a company","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"relatedOfficers\": [\n        {\n          \"referenceId\": \"john-doe\",\n          \"roles\": [\n            {\n              \"name\": \"board of directors\",\n              \"title\": \"Board Member\"\n            },\n            {\n              \"name\": \"executive management\",\n              \"title\": \"CEO\"\n            }\n          ],\n          \"ownership\": 15,\n          \"voting\": 15\n        },\n        {\n          \"referenceId\": \"jane-doe\",\n          \"roles\": [\n            {\n              \"name\": \"board of directors\",\n              \"title\": \"Chairman\"\n            },\n            {\n              \"name\": \"executive management\",\n              \"title\": \"COO\"\n            }\n          ],\n          \"ownership\": 15,\n          \"voting\":15\n        }\n      ]\n    }\n  ],\n  \"officers\": [\n    {\n      \"referenceId\": \"john-doe\",\n      \"firstName\": \"John\",\n      \"lastName\": \"Doe\",\n      \"isPep\": false\n    },\n    {\n      \"referenceId\": \"jane-doe\",\n      \"firstName\": \"Jane\",\n      \"lastName\": \"Doe\",\n      \"isPep\": false\n    }\n  ]\n}\n    "},"createCaseWithCompany":{"summary":"Create a company and link it to a case","description":"Creates or updates a company with a primary address and contact persons, and associates that company with a case in the same request. Use the company `referenceId` under the case `companies` list to establish the link.","value":"\n{\n  \"companies\": [\n    {\n      \"referenceId\": \"acme-inc\",\n      \"name\": \"Acme Inc\",\n      \"registrationNumber\": \"acme-inc\",\n      \"incorporationCountryCode\": \"DK\",\n      \"addresses\": [\n        {\n          \"type\": \"primary\",\n          \"streetAddress\": \"Elm street\",\n          \"zipCode\": \"2300\",\n          \"city\": \"Copenhagen\",\n          \"countryCode\": \"DK\"\n        }\n      ],\n      \"contactPersons\": [\n        {\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"email\": \"jane.doe@acme.example\"\n        }\n      ]\n    }\n  ],\n  \"cases\": [\n    {\n      \"referenceId\": \"cdd-acme-001\",\n      \"title\": \"Client onboarding - Acme Inc\",\n      \"status\": \"open\",\n      \"type\": \"responder\",\n      \"companies\": [\n        {\n          \"referenceId\": \"acme-inc\"\n        }\n      ]\n    }\n  ]\n}\n    "}}}}},"responses":{"200":{"description":"OK - when all entities are updated"},"201":{"description":"Created - when all entities are created"},"207":{"description":"Multi-Status - when there is a mix of creations, updates, unmodified entities, failures, or warnings"},"400":{"description":"Bad Request - when there are only warnings or failures when syncing the data"}},"tags":["Sync"],"security":[{"bearer":[]}]}},"/api/v1/companies/by-ref/{refId}":{"get":{"operationId":"ApiCompaniesController_getCompanyByRefId","summary":"Get a company by referenceId","parameters":[{"name":"refId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Get a company by referenceId","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDto"}}}},"204":{"description":"Company not found"}},"tags":["Companies"],"security":[{"bearer":[]}]}},"/api/v1/companies/{id}":{"get":{"operationId":"ApiCompaniesController_getCompanyById","summary":"Get a company by ID","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Get a company by Id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDto"}}}},"204":{"description":"Company not found"}},"tags":["Companies"],"security":[{"bearer":[]}]},"put":{"operationId":"ApiCompaniesController_updateCompany","summary":"Update a company by ID","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutCompanyDto"}}}},"responses":{"200":{"description":"Update an existing company.\n      If a property is not provided, it will be left unchanged.\n      To reset a property, set it to null or an empty array for collections.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDto"}}}},"204":{"description":"Company not found"},"400":{"description":"Invalid request payload"},"500":{"description":"Internal server error"}},"tags":["Companies"],"security":[{"bearer":[]}]},"delete":{"operationId":"ApiCompaniesController_deleteCompany","summary":"Delete a company by ID","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Delete an existing company by ID, or no-op if not found"},"500":{"description":"Internal server error"}},"tags":["Companies"],"security":[{"bearer":[]}]}},"/api/v1/companies":{"get":{"operationId":"ApiCompaniesController_getCompanies","summary":"Get list of companies","parameters":[{"name":"search","required":false,"in":"query","description":"Search for name, vatNumber, countryCode or referenceId in the format of encoded URI: {\"key\":\"value\"}","schema":{"type":"string"}},{"name":"page","required":false,"in":"query","description":"Number of the page","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of companies returned per page","schema":{"type":"number"}}],"responses":{"200":{"description":"Get companies","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompaniesDto"}}}}},"tags":["Companies"],"security":[{"bearer":[]}]},"post":{"operationId":"ApiCompaniesController_createCompany","summary":"Create a new company","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCompanyDto"}}}},"responses":{"201":{"description":"Company created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatedCompanyDto"}}}},"400":{"description":"Invalid request payload"},"409":{"description":"A company with the given referenceId already exists"}},"tags":["Companies"],"security":[{"bearer":[]}]}},"/api/v1/company":{"put":{"operationId":"ApiCompaniesController_upsertCompany","summary":"Experimental","deprecated":true,"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyncCompanyDto"},"examples":{"Create or update a company":{"value":{"referenceId":"acme-inc","name":"Acme Inc","registrationNumber":"acme-inc","incorporationCountryCode":"DK"},"description":"Creates a new company if referenceId doesn't exist, otherwise updates the existing company. Only specified fields will be modified."}}}}},"responses":{"200":{"description":"Create or update an existing company (deprecated — use PUT /companies/:id)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDto"}}}},"400":{"description":"Invalid request payload"},"500":{"description":"Internal server error"}},"tags":["Companies"],"security":[{"bearer":[]}]}},"/api/v1/companies/by-ref/{refId}/documents":{"get":{"operationId":"ApiCompanyDocumentsController_readCompanyDocumentsByRef","summary":"Get documents for a company by referenceId","description":"Read-only. Mutations require the canonical /companies/:id path.","parameters":[{"name":"refId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Company documents","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompanyDocumentDto"}}}}},"404":{"description":"Company not found"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/companies/by-ref/{refId}/documents/{docId}":{"get":{"operationId":"ApiCompanyDocumentsController_readDocumentByRef","summary":"Get a company document by referenceId and docId","description":"Read-only. Mutations require the canonical /companies/:id path.","parameters":[{"name":"refId","required":true,"in":"path","schema":{"type":"string"}},{"name":"docId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Company document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDocumentDto"}}}},"404":{"description":"Not found or document belongs to a different company"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/companies/by-ref/{refId}/documents/{docId}/content":{"get":{"operationId":"ApiCompanyDocumentsController_readDocumentContentByRef","summary":"Get document binary content by referenceId and docId","description":"Read-only. Mutations require the canonical /companies/:id path.","parameters":[{"name":"refId","required":true,"in":"path","schema":{"type":"string"}},{"name":"docId","required":true,"in":"path","schema":{"type":"string"}},{"name":"attachmentId","required":false,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Company document binary content"},"404":{"description":"Not found or document belongs to a different company"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/companies/{companyId}/documents":{"get":{"operationId":"ApiCompanyDocumentsController_readCompanyDocuments","summary":"Get company documents","parameters":[{"name":"companyId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Company documents","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompanyDocumentDto"}}}}}},"tags":["Company Documents"],"security":[{"bearer":[]}]},"post":{"operationId":"ApiCompanyDocumentsController_createCompanyDocuments","summary":"Upload documents for a company","parameters":[{"name":"companyId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"description":"Company document","content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UploadCompanyDocumentsDto"}}}},"responses":{"201":{"description":"Company document created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentCreatedReturnType"}}}}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/companies/{companyId}/documents/{docId}":{"get":{"operationId":"ApiCompanyDocumentsController_readDocument","summary":"Get company document by ID","parameters":[{"name":"companyId","required":true,"in":"path","schema":{"type":"string"}},{"name":"docId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Company document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDocumentDto"}}}},"404":{"description":"Not found or document belongs to a different company"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/companies/{companyId}/documents/{docId}/content":{"get":{"operationId":"ApiCompanyDocumentsController_readDocumentContent","summary":"Get company document binary content by document ID","parameters":[{"name":"companyId","required":true,"in":"path","schema":{"type":"string"}},{"name":"docId","required":true,"in":"path","schema":{"type":"string"}},{"name":"attachmentId","required":false,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Company document binary content"},"404":{"description":"Not found or document belongs to a different company"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/company/documents":{"post":{"operationId":"ApiCompanyDocumentsController_create","summary":"experimental","deprecated":true,"parameters":[],"requestBody":{"required":true,"description":"Company document","content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/CreateCompanyDocumentsPublicDto"}}}},"responses":{"201":{"description":"Company document created (deprecated — use POST /companies/:id/documents)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentCreatedReturnType"}}}}},"tags":["Company Documents"],"security":[{"bearer":[]}]}},"/api/v1/company-document-types":{"get":{"operationId":"ApiCompanyDocumentTypesController_readDocumentTypes","summary":"Get company document types","parameters":[],"responses":{"200":{"description":"Get company document types","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompanyDocumentTypeDto"}}}}}},"tags":["Company Document Types"],"security":[{"bearer":[]}]}},"/api/v1/company-documents/{docId}/resolve":{"get":{"operationId":"ApiDocumentsController_resolve","summary":"Resolve a bare document ID to its owning company","description":"Returns the companyId and canonical URL for the document. Does not return document content — callers must follow the canonical URL.","parameters":[{"name":"docId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Resolved document location","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResolveDocumentDto"}}}},"404":{"description":"Document not found"}},"tags":["Company Documents"],"security":[{"bearer":[]}]}}},"info":{"title":"Avallone API","description":"Avallone’s Integration API is designed for system to system integration. This allows other systems, like HR systems, ERP systems, CRM Systems, and general integration busses to integrate with Avallone.","version":"0.1","contact":{}},"tags":[],"servers":[],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"Function":{"type":"object","properties":{}},"CompanyAddressDto":{"type":"object","properties":{"streetAddress":{"type":"string"},"zipCode":{"type":"string"},"city":{"type":"string"},"countryCode":{"type":"string"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["streetAddress","zipCode","city","countryCode"]},"ContactPersonDto":{"type":"object","properties":{"firstName":{"type":"string","example":"Sherlock"},"lastName":{"type":"string","example":"Holmes"},"email":{"type":"string","example":"holmes@bakerstreet.com"}},"required":["firstName","lastName","email"]},"AmlStatusUpdatedByDto":{"type":"object","properties":{"firstName":{"type":"string","example":"Jim"},"lastName":{"type":"string","example":"Moriarty"},"email":{"type":"string","example":"jim@bakerstreet.com"}},"required":["firstName","lastName","email"]},"AmlStatusDto":{"type":"object","properties":{"status":{"type":"string","enum":["none","pending","approved","rejected"],"example":"approved"},"updatedAt":{"format":"date-time","type":"string"},"updatedBy":{"$ref":"#/components/schemas/AmlStatusUpdatedByDto"}},"required":["status"]},"AmlApprovalDto":{"type":"object","properties":{"approvedAt":{"format":"date-time","type":"string"},"approvedBy":{"$ref":"#/components/schemas/AmlStatusUpdatedByDto"}},"required":["approvedAt","approvedBy"]},"RiskScoreCreatedByDto":{"type":"object","properties":{"firstName":{"type":"string","nullable":true,"example":"John"},"lastName":{"type":"string","nullable":true,"example":"Doe"},"email":{"type":"string","example":"john@example.com"}},"required":["email"]},"RiskScorePropertiesDto":{"type":"object","properties":{"overallRiskStatus":{"type":"string","example":"Low"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/RiskScoreCreatedByDto"}]}},"required":["overallRiskStatus","createdAt","createdBy"]},"ApiCounterpartyDto":{"type":"object","properties":{"name":{"type":"string","example":"Acme Inc"},"getRegistrationNumber":{"example":"UK-12345","allOf":[{"$ref":"#/components/schemas/Function"}]},"getAddresses":{"type":"array","items":{"$ref":"#/components/schemas/CompanyAddressDto"}},"referenceId":{"type":"string","example":"12345"},"getContactPerson":{"$ref":"#/components/schemas/ContactPersonDto"},"getIncorporationCountryCode":{"$ref":"#/components/schemas/Function"},"getAmlProperties":{"$ref":"#/components/schemas/AmlStatusDto"},"getAmlStatus":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/AmlApprovalDto"}]},"customFields":{"type":"object"},"getRiskScoreProperties":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/RiskScorePropertiesDto"}]},"riskScoreData":{"type":"object","properties":{"counterpartyId":{"required":true,"type":"string"},"riskScore":{"required":true,"type":"object"},"mapping":{"required":true,"type":"object"}}},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["name","getRegistrationNumber","getAddresses","referenceId","getContactPerson","getIncorporationCountryCode","getAmlProperties","getAmlStatus","customFields","riskScoreData"]},"MetaData":{"type":"object","properties":{"currentPage":{"type":"number"},"totalPages":{"type":"number"},"limit":{"type":"number"},"nextPageURI":{"type":"string"}},"required":["currentPage","totalPages","limit","nextPageURI"]},"ApiCounterpartiesResponseDto":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/ApiCounterpartyDto"}},"metadata":{"example":{"currentPage":0,"totalPages":5,"limit":15,"nextPageURI":"string"},"allOf":[{"$ref":"#/components/schemas/MetaData"}]},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["results","metadata"]},"TimeIntervalEnum":{"type":"string","enum":["minute","hour","day"]},"SyncConfigDto":{"type":"object","properties":{"companyIdFields":{"description":"Id fields used to lookup existing records. Allowed values: referenceId, name, registrationNumber, type.","default":["referenceId"],"type":"array","items":{"type":"string"}},"officerIdFields":{"description":"Id fields used to lookup existing records. Allowed fields are: referenceId, firstName, lastName, type.","default":["referenceId"],"type":"array","items":{"type":"string"}},"caseIdFields":{"description":"Id fields used to lookup existing records. Allowed fields is referenceId","default":["referenceId"],"type":"array","items":{"type":"string"}},"cleanup":{"type":"boolean","description":"EXPERIMENTAL FEATURE: Controls the update semantics i.e. PUT vs PATCH.\n- When set to 'true': Gives PUT semantics - fields are cleared before update\n- When set to 'false' (default): Gives PATCH semantics - only specified fields are updated\n\nWhat it covers when set to true:\n- For each specified company, all previous field values are cleared before update\n- For each specified company, all relations are cleared before new ones are created\n\nWhat it does NOT cover:\n- Top level entities (companies and officers) are not affected i.e. if you pass\nan empty array of companies, the existing companies are not deleted\n\nNot yet implemented:\n- Cleaning up custom fields for each specified company\n- Cleaning up addresses for each specified company\n- Cleaning up custom fields for each specified officer","default":false},"sync":{"description":"Specify which sync operation to activate.","default":["companies","officers","company-relations","officer-relations","cases"],"type":"array","items":{"type":"object"}},"saveReferenceId":{"type":"boolean","description":"Reference Id is saved for companies if the companyIdFields contains 'referenceId'. \nSame applies to officers, i.e. if the 'officerIdFields' contains 'referenceId', then it is stored. \nIn other cases it is not stored by default. \nIf you want to explicitly save the referenceId, then set this to true."}}},"SyncCompanyAddressDto":{"type":"object","properties":{"streetAddress":{"type":"string","description":"Street"},"zipCode":{"type":"string","description":"Zip or Postal code"},"city":{"type":"string","description":"City"},"countryCode":{"type":"string","description":"Country code"}},"required":["streetAddress","countryCode"]},"SyncCompanyAddressV1Dto":{"type":"object","properties":{"primary":{"$ref":"#/components/schemas/SyncCompanyAddressDto"}}},"SyncCompanyAddressV2Dto":{"type":"object","properties":{"type":{"type":"string","enum":["primary","business"]},"streetAddress":{"type":"string","description":"Street"},"zipCode":{"type":"string","description":"Zip or Postal code"},"city":{"type":"string","description":"City"},"countryCode":{"type":"string","description":"Country code"}},"required":["type","streetAddress","countryCode"]},"SyncParentCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"The parent relation to the company. This ID is the primary ID used in the source of the data"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"ownership":{"type":"number","minimum":0,"maximum":100,"description":"Ownership percentage"},"voting":{"type":"number","minimum":0,"maximum":100,"description":"Voting percentage. If not provided, it will be set to the ownership percentage"},"notes":{"type":"string","description":"Notes"},"reasons":{"description":"Reasons for company relation, if no ownership/voting is provided.","type":"array","items":{"type":"string"}},"childCompanyReferenceId":{"type":"string","deprecated":true}},"required":["referenceId"]},"SyncRelatedCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"The parent relation to the company. This ID is the primary ID used in the source of the data"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"ownership":{"type":"number","minimum":0,"maximum":100,"description":"Ownership percentage"},"voting":{"type":"number","minimum":0,"maximum":100,"description":"Voting percentage. If not provided, it will be set to the ownership percentage"},"notes":{"type":"string","description":"Notes"},"reasons":{"description":"Reasons for company relation, if no ownership/voting is provided.","type":"array","items":{"type":"string"}},"childCompanyReferenceId":{"type":"string","deprecated":true}},"required":["referenceId"]},"SyncSpecialRightDto":{"type":"object","properties":{"specialRightType":{"type":"string","description":"Special right type name"},"description":{"type":"string","description":"Special right description"}},"required":["specialRightType"]},"SyncRelatedOfficerDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"The parent relation to the company. This ID is the primary ID used in the source of the data"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"ownership":{"type":"number","minimum":0,"maximum":100,"description":"Ownership percentage"},"voting":{"type":"number","minimum":0,"maximum":100,"description":"Voting percentage. If not provided, it will be set to the ownership percentage"},"notes":{"type":"string","description":"Notes"},"roles":{"description":"Officer roles","type":"array","items":{"type":"object"}},"specialRights":{"description":"Special rights","type":"array","items":{"$ref":"#/components/schemas/SyncSpecialRightDto"}},"forceUbo":{"type":"boolean","description":"Marks this related officer as a UBO regardless of ownership/voting percentage"},"childCompanyReferenceId":{"type":"string","deprecated":true}},"required":["referenceId","roles"]},"SyncCustomFieldsDto":{"type":"object","properties":{}},"SyncTaxInfoDto":{"type":"object","properties":{"countryCode":{"type":"string","description":"Country code"},"taxNumber":{"type":"string","description":"Tax Number"},"isTin":{"type":"boolean","description":"Is the Tax Number a TIN?"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"companyReferenceId":{"type":"string","deprecated":true}},"required":["countryCode","taxNumber","isTin"]},"SyncCompanyLicenseDto":{"type":"object","properties":{"name":{"type":"string","description":"License name","enum":["gambling-business-license","fundraising-permit","arms-and-weapons-export-license","duals-use-good-export-authorization","entity-has-no-license(s)-or-equivalent","other"]},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"companyReferenceId":{"type":"string","deprecated":true}},"required":["name"]},"SyncCompanyContactPersonDto":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"isPrimary":{"type":"boolean"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"companyReferenceId":{"type":"string"}}},"CounterpartyTypeDto":{"type":"object","properties":{"name":{"type":"string","enum":["Agents","Customers","Employees","Investors","Partners","Suppliers","Vendors","Tenants","Other","Buyer","Seller","Joint Venture Partner","Borrower","Target company","Direct Counterparty","Indirect Counterparty","Facility Bank","Co-Shareholder / Joint Venture Partner","Vessel","Contingent Worker","Non-Worker"]},"description":{"type":"string"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["name","description"]},"SyncCounterpartyDto":{"type":"object","properties":{"roles":{"description":"Counterparty roles","type":"array","items":{"$ref":"#/components/schemas/CounterpartyTypeDto"}},"followUpAt":{"type":"string","description":"Follow-up due date for counterparty rows (YYYY-MM-DD)"},"riskValue":{"type":"string","description":"Risk score value label (e.g. Low, Medium, High). Must match a risk value configured for your tenant (case-insensitive)."}}},"SyncIndustryCodeDto":{"type":"object","properties":{"code":{"type":"string","description":"Industry code"},"name":{"type":"string","description":"Industry name"}},"required":["code","name"]},"SyncCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"Primary Id of the company coming from the external system\n    i.e. source of the data. This value should be set to a value that is unique\n    and identifiable for the integrating solution"},"registrationNumber":{"type":"string","description":"Registration number"},"vatNumber":{"type":"string","description":"VAT number"},"name":{"type":"string","description":"Company name"},"incorporatedAt":{"format":"date-time","type":"string","description":"Date of incorporation"},"incorporationCity":{"type":"string","description":"City of incorporation"},"incorporationCountryCode":{"type":"string","description":"Country of incorporation"},"taxNumber":{"type":"string","description":"Tax ID number (TIN). Use this in case the TIN is different from the registration number"},"lei":{"type":"string","description":"Legal Entity Identifier (LEI)"},"groupConnection":{"type":"string","description":"Group connection","default":"Group company"},"legalForm":{"type":"string","description":"Legal form. Recommended values are Limited Liability Company', 'Public sector/Government', 'Partnership', 'Co-operative', 'Association', 'Foundation/Trust', 'Fund', 'Other etc.","enum":["Limited Liability Company","Public sector/Government","Partnership","Co-operative","Association","Foundation/Trust","Fund","Other"]},"legalTypes":{"type":"array","description":"Legal types","items":{"type":"string","enum":["Financial institution","Charitable organization","International organization","Danish housing associations (e.g., Andelsboligforening)"]}},"addresses":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/SyncCompanyAddressV2Dto"},{"$ref":"#/components/schemas/SyncCompanyAddressV1Dto"}]}},"parentCompanies":{"description":"Parents of the company. (Deprecated) Use relatedCompanies instead.","deprecated":true,"type":"array","items":{"$ref":"#/components/schemas/SyncParentCompanyDto"}},"relatedCompanies":{"description":"Related companies of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedCompanyDto"}},"relatedOfficers":{"description":"Officers of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedOfficerDto"}},"customFields":{"description":"Some fields might be required depending on how you have\n    configured the 'Company Model' in the platform","allOf":[{"$ref":"#/components/schemas/SyncCustomFieldsDto"}]},"isSelfOwned":{"type":"boolean","description":"Is the company self owned e.g. foundation, self-governed institution etc.?"},"giin":{"type":"string","description":"Global Intermediary Identification Number (GIIN), applied only for financial institutions"},"isListed":{"type":"boolean","description":"Is the company listed on a stock exchange?"},"stockExchangeName":{"type":"string","description":"Name of the stock exchange where the company is listed"},"stockExchangeCountryCode":{"type":"string","description":"Country of the stock exchange where the company is listed"},"isUnderSupervision":{"type":"boolean","description":"Is the company under supervision?"},"supervisingInstitutionName":{"type":"string","description":"Name of the supervising institution"},"supervisorLicenseNumber":{"type":"string","description":"Supervisor license number"},"hasForeignTax":{"type":"boolean","description":"Does the company pay tax in foreign countries than country of incorporation?"},"foreignTaxInfo":{"description":"Foreign tax information i.e. if tax is paid in a country other than the country of incorporation","type":"array","items":{"$ref":"#/components/schemas/SyncTaxInfoDto"}},"hasLicenses":{"type":"boolean","description":"Does the company possess any kind of licenses?"},"licenses":{"description":"License information","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyLicenseDto"}},"type":{"type":"string","default":"entity","enum":["counterparty","entity","related_company"],"description":"Company type"},"contactPersons":{"description":"Contact person of the company","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyContactPersonDto"}},"counterparty":{"description":"Counterparty related fields","allOf":[{"$ref":"#/components/schemas/SyncCounterpartyDto"}]},"attachments":{"description":"Attachments","default":false,"type":"array","items":{"type":"object"}},"categories":{"description":"Categories - related_party or opposing_party","type":"array","items":{"type":"object"}},"industryCodes":{"description":"Industry codes","type":"array","items":{"$ref":"#/components/schemas/SyncIndustryCodeDto"}},"delete":{"type":"boolean"},"id":{"type":"string"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["referenceId","name"]},"SyncOfficerCitizenshipDto":{"type":"object","properties":{"countryCode":{"type":"string","description":"Country code"},"givenAtBirth":{"type":"boolean","description":"Given at birth"},"socialSecurityNumber":{"type":"string","description":"Social security number"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"officerReferenceId":{"type":"string","deprecated":true}},"required":["countryCode"]},"SyncOfficerContactDto":{"type":"object","properties":{"type":{"type":"string","description":"Contact type","enum":["personal-mobile","personal-landline","business-mobile","business-landline","personal-e-mail","business-e-mail"]},"details":{"type":"string","description":"Contact details e.g. e-mail, phone number, etc"},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"officerReferenceId":{"type":"string","deprecated":true}},"required":["type","details"]},"SyncOfficerAddressDto":{"type":"object","properties":{"type":{"type":"string","enum":["primary","business"]},"streetAddress":{"type":"string","description":"Street"},"zipCode":{"type":"string","description":"Zip or Postal code"},"city":{"type":"string","description":"City"},"countryCode":{"type":"string","description":"Country code"},"officerReferenceId":{"type":"string"},"isPrimary":{"type":"boolean"}},"required":["type","streetAddress"]},"SyncOfficerDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"Primary Id of the officer coming from the external system\n    i.e. source of the data"},"firstName":{"type":"string","description":"First name"},"lastName":{"type":"string","description":"Last name"},"email":{"type":"string","description":"email"},"isPep":{"type":"boolean","description":"Is the officer a PEP or not?"},"dateOfBirth":{"type":"string","description":"Date of birth"},"cityOfBirth":{"type":"string","description":"City of birth"},"countryOfBirth":{"type":"string","description":"Country of birth"},"citizenships":{"description":"Citizenship information","type":"array","items":{"$ref":"#/components/schemas/SyncOfficerCitizenshipDto"}},"contactInfo":{"description":"Contact information","type":"array","items":{"$ref":"#/components/schemas/SyncOfficerContactDto"}},"customFields":{"description":"Some fields might be required depending on how you have\n    configured the 'User Model' in the platform","allOf":[{"$ref":"#/components/schemas/SyncCustomFieldsDto"}]},"counterparty":{"description":"Counterparty related fields","allOf":[{"$ref":"#/components/schemas/SyncCounterpartyDto"}]},"type":{"type":"string","default":"officer","enum":["officer","counterparty"],"description":"Officer type"},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/SyncOfficerAddressDto"}},"delete":{"type":"boolean","description":"Delete action! Set to true to remove this relation","default":false},"attachments":{"description":"Attachments","default":false,"type":"array","items":{"type":"object"}},"categories":{"description":"Categories - related_party or opposing_party","type":"array","items":{"type":"object"}},"hasRecentTaxChanges":{"type":"boolean","description":"Has the officer recent tax changes"},"isUSCitizen":{"type":"boolean","description":"Is the officer currently a US citizen"},"hasBeenUSCitizen":{"type":"boolean","description":"Has the officer at some point been a US citizen"},"taxCountryCode":{"type":"string","description":"tax country for the officer"},"tinNumber":{"type":"string","description":"tax identification number for the officer"},"id":{"type":"string"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["referenceId"]},"SyncCaseCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"Company reference ID"},"delete":{"type":"boolean","description":"Flag to indicate if the relationship should be deleted."},"caseReferenceId":{"type":"string","deprecated":true}},"required":["referenceId"]},"SyncCaseOfficerDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"Officer reference ID"},"delete":{"type":"boolean","description":"Flag to indicate if the relationship should be deleted."},"caseReferenceId":{"type":"string","deprecated":true}},"required":["referenceId"]},"SyncCaseDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"Primary Id of the case coming from the external system\n    i.e. source of the data. This value should be set to a value that is unique\n    and identifiable for the integrating solution"},"title":{"type":"string","description":"Title of the case"},"description":{"type":"string","description":"Description of the case"},"dueAt":{"format":"date-time","type":"string","description":"Due date of the case"},"status":{"type":"string","enum":["open","closed"],"description":"Status of the case"},"type":{"type":"string","enum":["collector","responder"],"description":"Case type: collector (counterparty / `Case` request) or responder (`Inbound` request)"},"delete":{"type":"boolean","description":"Flag to indicate if the case should be deleted. Not supported for cases.","default":false},"companies":{"description":"Companies associated with the case","type":"array","items":{"$ref":"#/components/schemas/SyncCaseCompanyDto"}},"officers":{"description":"Officers associated with the case","type":"array","items":{"$ref":"#/components/schemas/SyncCaseOfficerDto"}},"customFields":{"description":"Some fields might be required depending on how you have\n    configured the 'Case Model' in the platform","allOf":[{"$ref":"#/components/schemas/SyncCustomFieldsDto"}]}},"required":["referenceId","title","status","type"]},"SyncPayloadDto":{"type":"object","properties":{"config":{"description":"Configuration","allOf":[{"$ref":"#/components/schemas/SyncConfigDto"}]},"companies":{"description":"Companies","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyDto"}},"officers":{"description":"Officers","type":"array","items":{"$ref":"#/components/schemas/SyncOfficerDto"}},"cases":{"description":"Cases","type":"array","items":{"$ref":"#/components/schemas/SyncCaseDto"}}}},"AddressDto":{"type":"object","properties":{"id":{"type":"string"},"streetAddress":{"type":"string"},"countryCode":{"type":"string"},"zipCode":{"type":"string"},"streetAddress2":{"type":"string"},"city":{"type":"string"},"type":{"type":"string"}},"required":["streetAddress","countryCode"]},"CompanyDto":{"type":"object","properties":{"name":{"type":"string"},"registrationNumber":{"type":"string"},"vatNumber":{"type":"string"},"incorporationCountryCode":{"type":"string","enum":["AD","AE","AF","AG","AI","AL","AM","AN","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","EU","FI","FJ","FK","FM","FO","FR","GA","GB-ENG","GB-NIR","GB-SCT","GB-WLS","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","XK","WS","YE","YT","ZA","ZM","ZW"],"description":"Country of incorporation"},"incorporatedAt":{"format":"date-time","type":"string","description":"Date of incorporation"},"incorporationCity":{"type":"string","description":"City of incorporation"},"groupConnection":{"type":"string","description":"Group connection","default":"Group company"},"legalForm":{"type":"string","description":"Legal form. Recommended values are Limited Liability Company', 'Public sector/Government', 'Partnership', 'Co-operative', 'Association', 'Foundation/Trust', 'Fund', 'Other etc.","enum":["Limited Liability Company","Public sector/Government","Partnership","Co-operative","Association","Foundation/Trust","Fund","Other"]},"legalTypes":{"type":"array","description":"Legal types","items":{"type":"string","enum":["Financial institution","Charitable organization","International organization","Danish housing associations (e.g., Andelsboligforening)"]}},"address":{"$ref":"#/components/schemas/AddressDto"},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/AddressDto"}},"customFields":{"type":"object"},"referenceId":{"type":"string"},"categories":{"description":"Categories - related_party or opposing_party","type":"array","items":{"type":"object"}},"id":{"type":"string"}},"required":["name","id"]},"CompaniesDto":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetaData"},"results":{"type":"object"}},"required":["metadata","results"]},"PostCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"External reference ID from the integrating system. Optional — if omitted, the response will contain the internal company ID instead."},"registrationNumber":{"type":"string","description":"Registration number"},"vatNumber":{"type":"string","description":"VAT number"},"name":{"type":"string","description":"Company name"},"incorporatedAt":{"format":"date-time","type":"string","description":"Date of incorporation"},"incorporationCity":{"type":"string","description":"City of incorporation"},"incorporationCountryCode":{"type":"string","description":"Country of incorporation"},"taxNumber":{"type":"string","description":"Tax ID number (TIN). Use this in case the TIN is different from the registration number"},"lei":{"type":"string","description":"Legal Entity Identifier (LEI)"},"groupConnection":{"type":"string","description":"Group connection","default":"Group company"},"legalForm":{"type":"string","description":"Legal form. Recommended values are Limited Liability Company', 'Public sector/Government', 'Partnership', 'Co-operative', 'Association', 'Foundation/Trust', 'Fund', 'Other etc.","enum":["Limited Liability Company","Public sector/Government","Partnership","Co-operative","Association","Foundation/Trust","Fund","Other"]},"legalTypes":{"type":"array","description":"Legal types","items":{"type":"string","enum":["Financial institution","Charitable organization","International organization","Danish housing associations (e.g., Andelsboligforening)"]}},"addresses":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/SyncCompanyAddressV2Dto"},{"$ref":"#/components/schemas/SyncCompanyAddressV1Dto"}]}},"parentCompanies":{"description":"Parents of the company. (Deprecated) Use relatedCompanies instead.","deprecated":true,"type":"array","items":{"$ref":"#/components/schemas/SyncParentCompanyDto"}},"relatedCompanies":{"description":"Related companies of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedCompanyDto"}},"relatedOfficers":{"description":"Officers of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedOfficerDto"}},"customFields":{"description":"Some fields might be required depending on how you have\n    configured the 'Company Model' in the platform","allOf":[{"$ref":"#/components/schemas/SyncCustomFieldsDto"}]},"isSelfOwned":{"type":"boolean","description":"Is the company self owned e.g. foundation, self-governed institution etc.?"},"giin":{"type":"string","description":"Global Intermediary Identification Number (GIIN), applied only for financial institutions"},"isListed":{"type":"boolean","description":"Is the company listed on a stock exchange?"},"stockExchangeName":{"type":"string","description":"Name of the stock exchange where the company is listed"},"stockExchangeCountryCode":{"type":"string","description":"Country of the stock exchange where the company is listed"},"isUnderSupervision":{"type":"boolean","description":"Is the company under supervision?"},"supervisingInstitutionName":{"type":"string","description":"Name of the supervising institution"},"supervisorLicenseNumber":{"type":"string","description":"Supervisor license number"},"hasForeignTax":{"type":"boolean","description":"Does the company pay tax in foreign countries than country of incorporation?"},"foreignTaxInfo":{"description":"Foreign tax information i.e. if tax is paid in a country other than the country of incorporation","type":"array","items":{"$ref":"#/components/schemas/SyncTaxInfoDto"}},"hasLicenses":{"type":"boolean","description":"Does the company possess any kind of licenses?"},"licenses":{"description":"License information","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyLicenseDto"}},"type":{"type":"string","default":"entity","enum":["counterparty","entity","related_company"],"description":"Company type"},"contactPersons":{"description":"Contact person of the company","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyContactPersonDto"}},"counterparty":{"description":"Counterparty related fields","allOf":[{"$ref":"#/components/schemas/SyncCounterpartyDto"}]},"attachments":{"description":"Attachments","default":false,"type":"array","items":{"type":"object"}},"categories":{"description":"Categories - related_party or opposing_party","type":"array","items":{"type":"object"}},"industryCodes":{"description":"Industry codes","type":"array","items":{"$ref":"#/components/schemas/SyncIndustryCodeDto"}},"delete":{"type":"boolean"},"id":{"type":"string"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["name"]},"CreatedCompanyDto":{"type":"object","properties":{"id":{"type":"string","description":"Internal company ID"},"referenceId":{"type":"string","description":"External reference ID — present only when supplied in the request"}},"required":["id"]},"PutCompanyDto":{"type":"object","properties":{"referenceId":{"type":"string","description":"External reference ID (from the integrating system). If provided in the URL\n    (PUT /companies/:id with x-id-field: referenceId), the URL value takes precedence and overrides\n    any value supplied in the request body."},"registrationNumber":{"type":"string","description":"Registration number"},"vatNumber":{"type":"string","description":"VAT number"},"name":{"type":"string","description":"Company name"},"incorporatedAt":{"format":"date-time","type":"string","description":"Date of incorporation"},"incorporationCity":{"type":"string","description":"City of incorporation"},"incorporationCountryCode":{"type":"string","description":"Country of incorporation"},"taxNumber":{"type":"string","description":"Tax ID number (TIN). Use this in case the TIN is different from the registration number"},"lei":{"type":"string","description":"Legal Entity Identifier (LEI)"},"groupConnection":{"type":"string","description":"Group connection","default":"Group company"},"legalForm":{"type":"string","description":"Legal form. Recommended values are Limited Liability Company', 'Public sector/Government', 'Partnership', 'Co-operative', 'Association', 'Foundation/Trust', 'Fund', 'Other etc.","enum":["Limited Liability Company","Public sector/Government","Partnership","Co-operative","Association","Foundation/Trust","Fund","Other"]},"legalTypes":{"type":"array","description":"Legal types","items":{"type":"string","enum":["Financial institution","Charitable organization","International organization","Danish housing associations (e.g., Andelsboligforening)"]}},"addresses":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/SyncCompanyAddressV2Dto"},{"$ref":"#/components/schemas/SyncCompanyAddressV1Dto"}]}},"parentCompanies":{"description":"Parents of the company. (Deprecated) Use relatedCompanies instead.","deprecated":true,"type":"array","items":{"$ref":"#/components/schemas/SyncParentCompanyDto"}},"relatedCompanies":{"description":"Related companies of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedCompanyDto"}},"relatedOfficers":{"description":"Officers of the company","type":"array","items":{"$ref":"#/components/schemas/SyncRelatedOfficerDto"}},"customFields":{"description":"Some fields might be required depending on how you have\n    configured the 'Company Model' in the platform","allOf":[{"$ref":"#/components/schemas/SyncCustomFieldsDto"}]},"isSelfOwned":{"type":"boolean","description":"Is the company self owned e.g. foundation, self-governed institution etc.?"},"giin":{"type":"string","description":"Global Intermediary Identification Number (GIIN), applied only for financial institutions"},"isListed":{"type":"boolean","description":"Is the company listed on a stock exchange?"},"stockExchangeName":{"type":"string","description":"Name of the stock exchange where the company is listed"},"stockExchangeCountryCode":{"type":"string","description":"Country of the stock exchange where the company is listed"},"isUnderSupervision":{"type":"boolean","description":"Is the company under supervision?"},"supervisingInstitutionName":{"type":"string","description":"Name of the supervising institution"},"supervisorLicenseNumber":{"type":"string","description":"Supervisor license number"},"hasForeignTax":{"type":"boolean","description":"Does the company pay tax in foreign countries than country of incorporation?"},"foreignTaxInfo":{"description":"Foreign tax information i.e. if tax is paid in a country other than the country of incorporation","type":"array","items":{"$ref":"#/components/schemas/SyncTaxInfoDto"}},"hasLicenses":{"type":"boolean","description":"Does the company possess any kind of licenses?"},"licenses":{"description":"License information","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyLicenseDto"}},"type":{"type":"string","default":"entity","enum":["counterparty","entity","related_company"],"description":"Company type"},"contactPersons":{"description":"Contact person of the company","type":"array","items":{"$ref":"#/components/schemas/SyncCompanyContactPersonDto"}},"counterparty":{"description":"Counterparty related fields","allOf":[{"$ref":"#/components/schemas/SyncCounterpartyDto"}]},"attachments":{"description":"Attachments","default":false,"type":"array","items":{"type":"object"}},"categories":{"description":"Categories - related_party or opposing_party","type":"array","items":{"type":"object"}},"industryCodes":{"description":"Industry codes","type":"array","items":{"$ref":"#/components/schemas/SyncIndustryCodeDto"}},"id":{"type":"string","description":"Internal company ID. If provided in the URL (PUT /companies/:id with x-id-field: id),\n    the URL value takes precedence and overrides any value supplied in the request body."},"delete":{"type":"boolean"},"entity":{"type":"object"},"isRestricted":{"type":"boolean"},"canUserAccess":{"type":"boolean"}},"required":["name"]},"CompanyDocumentAttachmentDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"fileName":{"type":"string"},"mimeType":{"type":"string","nullable":true},"fileSize":{"type":"number","nullable":true},"url":{"type":"string","format":"uri"}},"required":["id","fileName","url"]},"CompanyDocumentDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"url":{"type":"string","format":"uri"},"companyId":{"type":"string","format":"uuid"},"companyDocumentTypeId":{"type":"string","format":"uuid"},"companyDocumentTypeName":{"type":"string","nullable":true},"countryCode":{"type":"string","nullable":true},"countryName":{"type":"string","nullable":true},"issueDate":{"format":"date-time","type":"string","nullable":true},"expiringDate":{"format":"date-time","type":"string","nullable":true},"description":{"type":"string","nullable":true},"note":{"type":"string","nullable":true},"referenceId":{"type":"string","nullable":true},"createdAt":{"format":"date-time","type":"string"},"updatedAt":{"format":"date-time","type":"string"},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/CompanyDocumentAttachmentDto"}}},"required":["id","url","companyId","companyDocumentTypeId","createdAt","updatedAt","attachments"]},"UploadCompanyDocumentsDto":{"type":"object","properties":{"files":{"type":"file","description":"A file to be uploaded. Must be sent with form-data, and the key must be \"files\". For multiple files, use the same key \"files\" for each file."},"documentMetadatas":{"type":"string","format":"json","description":"A JSON formatted string of an array containing metadata for the file(s) of the request. Must be an array with the same size as the number of files uploaded, and must provide metadata in the exact same order as the file(s)<br ><br />\n      _Valid schema_\n\n    [\n      {\n        \"referenceId\": string - external ID used to reference the document,\n        \"companyDocumentTypeId\": string (UUID),\n        \"countryCode\": string - ISO 3166-1 alpha-2 country code (two letters),\n        \"expiryDate\": Date,\n        \"issueDate\": Date,\n        \"description\": string - optional,\n        \"note\": string - optional\n      }\n    ]\n      "}},"required":["files","documentMetadatas"]},"DocumentCreatedReturnType":{"type":"object","properties":{"results":{"example":"[\"8592a497-e3d5-40df-8eb4-4dc56bf26b1c\", \"688e68ff-ec51-4f85-93b0-483425bf1bcb\"]","type":"array","items":{"type":"string"}}},"required":["results"]},"CreateCompanyDocumentsPublicDto":{"type":"object","properties":{"files":{"type":"file","description":"A file to be uploaded. Must be sent with form-data, and the key must be \"files\". For multiple files, use the same key \"files\" for each file."},"documentMetadatas":{"type":"string","format":"json","description":"A JSON formatted string of an array containing metadata for the file(s) of the request. Must be an array with the same size as the number of files uploaded, and must provide metadata in the exact same order as the file(s)<br ><br />\n      _Valid schema_\n\n    [\n      {\n        \"referenceId\": string - external ID used to reference the document,\n        \"companyDocumentTypeId\": string (UUID),\n        \"countryCode\": string - ISO 3166-1 alpha-2 country code (two letters),\n        \"expiryDate\": Date,\n        \"issueDate\": Date,\n        \"description\": string - optional,\n        \"note\": string - optional\n      }\n    ]\n      "},"companyReferenceId":{"type":"string","format":"uuid","description":"The reference ID for the company the document should be added to"}},"required":["files","documentMetadatas","companyReferenceId"]},"CompanyDocumentTypeDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]},"ResolveDocumentDto":{"type":"object","properties":{"companyId":{"type":"string","format":"uuid"},"canonicalUrl":{"type":"string","format":"uri","example":"/api/v1/companies/{companyId}/documents/{docId}"}},"required":["companyId","canonicalUrl"]}}}}